no sound from headphones in macbook core 2 duo (2nd gen)

Bug #201957 reported by mon on 2008-03-13
74
This bug affects 9 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

Hi

I've upgraded my gutsy instalation to hardy and there's no sound from the headphones when plugged in.

uname -a:
Linux macbook 2.6.24-12-generic #1 SMP Wed Mar 12 23:01:54 UTC 2008 i686 GNU/Linux

thanks

I forgot to say that this is a regression, since in gutsy it worked.

thanks

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: New → Triaged
schalkpd (schalkpd+launchpad) wrote :

I can confirm this. Using Hardy beta on a 2nd Gen macbook core 2 duo, the headphone jack outputs no sound at all, while internal speakers work.

Polera (j-remash) wrote :

I too can confirm this. Using Hardy beta 64 bit on a 2nd Generation MacBook. Internal speakers do work. All worked in Gutsy.

Polera (j-remash) wrote :

UPDATE: Found a workaround.

1. Right click on volume control.
2. Click 'Open Volume Control'
3. Go to Edit --> Preferences
4. Check off 'Surround Sound'
5. Close Preferences
6. Un-mute 'Surround Sound'
7. Plug in headphones

That should do it (worked for me on a 2nd Generation MacBook as listed above)

The workaround works here too. So the surround seems to control the headphones volume?

Seems like. I wonder if it's more of a Gnome 2.22 bug.

On Sat, Apr 5, 2008 at 5:19 AM, kmon <email address hidden> wrote:

> The workaround works here too. So the surround seems to control the
> headphones volume?
>
> --
> no sound from headphones in macbook core 2 duo (2nd gen)
> https://bugs.launchpad.net/bugs/201957
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Source Package "linux" in Ubuntu: Triaged
>
> Bug description:
> Hi
>
> I've upgraded my gutsy instalation to hardy and there's no sound from the
> headphones when plugged in.
>
> uname -a:
> Linux macbook 2.6.24-12-generic #1 SMP Wed Mar 12 23:01:54 UTC 2008 i686
> GNU/Linux
>
> thanks
>

schalkpd (schalkpd+launchpad) wrote :

Workaround works for me, as well. Thanks!

Me too, thanks a lot!!

Andrew DeLisa (ayan4m1) wrote :

Cannot confirm on 2nd gen macbook (core 2 duo). Headphone audio works out of the box for me (Hardy RC amd64), but Surround was also unchecked by default. Anyone with a similar result?

I blieve Surround is un-muted by default now. Please reopen (ie set Status back to New) if this is not the case with the final Hardy release. Thanks.

Changed in linux:
status: Triaged → Fix Released
Joe Taylor (joe-taylor) wrote :

I just upgraded to the final Hardy release on my Macbook and there was no sound from the headphones until I unmuted surround. The workaround works fine, though.

Changed in linux:
status: Fix Released → New
Changed in linux:
status: New → Confirmed
RonToland (rontoland) wrote :

I just upgraded my 2nd Gen Macbook from Gutsy to Hardy and had the same issue (sound from the internal speakers, but none from the headphone jack).

The workaround recommended here (unmute the surround sound) worked great, though. Thanks for posting the solution, Polera!

Jens Geiregat (jens-geiregat) wrote :

Had the same problem on my 1-year old macbook with a fresh install of Hardy. The workaround worked for me.

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Joachim (joachimrs) wrote :

Confirm that the workaround with enabling Surround sound works on a ref 1 Macbook, dmidecode: MacBook1,1

It also makes sound from internal speakers much louder.

Linux idefix 2.6.27-11-generic #1 SMP Thu Jan 29 19:24:39 UTC 2009 i686 GNU/Linux

Mindaugas Jakutis (la-mj) wrote :

I confirm this bug and the workaround for 2.6.27-11 ubuntu kernel.

But the thing is my laptop is not macbook

It is Asus Z37S with HDA Intel sound.

The last version before the bug is 2.6.24-22-generic

Just wanted to get a status check here and if anyone can confirm if this issue remains with the most recent Jaunty Jackalope 9.04 release - http://www.ubuntu.com/getubuntu/download . Thanks.

jonas69 (jonas-traechslin) wrote :

Yes. Problem exists with the labtop Asus Z37S. Headphone plug in recognized, but with no sounds. Sound is only on the internal loudspeakers.
When looking at alsactl: headphone volume 00, and can not be increased....
Thanks.

Przemek K. (azrael) wrote :

Yup, the problem definitely still exists in Jaunty. I have a Macbook 2,1. The above workaround worked for me.

Isaac Dupree (idupree) wrote :

me too (workaround works to make sound come out of headphones -- oddly it also changes what non-headphone, builtin sound sounds like...): Jaunty (GNOME) x86 edition, Macbook 2,1

Przemek K. (azrael) wrote :

The problem is worse in Karmic. The sound preferences applet has changed and there is no surround option anymore.

Dave Hinton (beakerchu) wrote :

Me too. Workaround worked in Jaunty. After upgrading to Karmic, sound no longer comes out of headphones, and it is impossible to follow the above workaround instructions.

MacBook1,1

Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: azrael 2902 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0x90440000 irq 27'
   Mixer name : 'SigmaTel STAC9221 A1'
   Components : 'HDA:83847680,106b2200,00103601'
   Controls : 21
   Simple ctrls : 13
CheckboxSubmission: 0ebb66d3d8abf9bb2773fa7a78c1b7ac
CheckboxSystem: 7e42599bda39ea7ff8b528272b6ef52b
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=0fea7287-7099-4369-9734-f2ffd7b88ba5
MachineType: Apple Inc. MacBook2,1
Package: linux (not installed)
ProcCmdLine: root=UUID=51dfb67d-a748-47cd-8d89-3ef774458fda ro splash vga=792
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_GB.UTF-8
 LANGUAGE=en_GB.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-15.50-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-15-generic N/A
 linux-firmware 1.25
Uname: Linux 2.6.31-15-generic x86_64
UserGroups: adm admin cdrom dialout libvirtd lpadmin plugdev sambashare
WpaSupplicantLog:

dmi.bios.date: 06/27/07
dmi.bios.vendor: Apple Inc.
dmi.bios.version: MB21.88Z.00A5.B07.0706270922
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: Mac-F4208CAA
dmi.board.vendor: Apple Inc.
dmi.board.version: PVT
dmi.chassis.asset.tag: Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: Apple Inc.
dmi.chassis.version: Mac-F4208CAA
dmi.modalias: dmi:bvnAppleInc.:bvrMB21.88Z.00A5.B07.0706270922:bd06/27/07:svnAppleInc.:pnMacBook2,1:pvr1.0:rvnAppleInc.:rnMac-F4208CAA:rvrPVT:cvnAppleInc.:ct10:cvrMac-F4208CAA:
dmi.product.name: MacBook2,1
dmi.product.version: 1.0
dmi.sys.vendor: Apple Inc.

Przemek K. (azrael) wrote : CRDA.txt
tags: added: apport-collected
tags: added: regression-release
removed: apport-collected
tags: added: jaunty karmic
tags: added: apport-collected
tags: added: kernel-sound
removed: apport-collected jaunty karmic
tags: added: apport-collected jaunty karmic
Przemek K. (azrael) wrote :

I've tried following instructions from
https://help.ubuntu.com/community/HdaIntelSoundHowto
but it didn't help.
I've checked the documentation:
/usr/share/doc/alsa-base/driver/ALSA-Configuration.txt.gz
/usr/share/doc/alsa-base/driver/HD-Audio.txt.gz
/usr/share/doc/alsa-base/driver/HD-Audio-Models.txt.gz
and edited /etc/modprobe.d/alsa-base.conf and added the following line:
options snd-hda-intel model=macbook
After reboot I had no sound at all.

Installing linux-backports-modules-alsa-karmic-generic didn't help too.
Still no sound on headphone jack.

Daniel T Chen (crimsun) wrote :

@Przemysław Kulczycki
Did you check your 'Surround' mixer setting?

2009/12/15 Daniel T Chen <email address hidden>:
> @Przemysław Kulczycki
> Did you check your 'Surround' mixer setting?

Where can I find it? There is no Gnome mixer in Karmic as it was in
previous releases. Console alsamixer doesn't show the Surround item as
it was showing it in Jaunty.

--
## Przemysław Kulczycki >><< Azrael Nightwalker ##
# jabber: azrael[na]jabster.pl | tlen: azrael29a #
### www: http://reksio.ftj.agh.edu.pl/~azrael/ ###

mystercoco (mystercoco-gmail) wrote :

Surround doesn't work on ubuntu karmic koala.
I don't know if the problem is coming from alsa or the mixer.
Maybe someone could try to install an old version of booth to try.

I installed Karmic on my MacBook2,1 and was having the same problem, but I just ran alsamixer and messed around until it started working. Sorry that I don't have more of a concrete answer, but perhaps someone else can confirm what I *think* remedied the problem:

If you start alsamixer and tab until both playback and capture devices are listed, then scroll over as far right as possible, you should have Mux, Mux1, Speaker, Speaker1 on the right. I think I just increased the vol for Mux1 and Speaker1 (making sure they were both unmuted, of course). After that, transitioning from speaker to headphones worked as expected.

If you get it working this way, don't forget to 'sudo alsactl store' to keep your settings.

S B (seuzy8) wrote :

I can confirm this bug. I am in Karmic with a Macbook 2,1 and the headphone jack does not work. The alsamixer workaround did not work for me, and I see no way to unmute surround, though I'm fairly certain I did in Jaunty before I upgraded to Karmic.

S B (seuzy8) wrote :

Okay, the following workaround works for me:
install gnome-alsamixer
uncheck the mute box on the second "speaker"
I don't know why it would have been muted in the first place.

Przemek K. (azrael) wrote :

2010/1/4 S B <email address hidden>:
> Okay, the following workaround works for me:
> install gnome-alsamixer
> uncheck the mute box on the second "speaker"
> I don't know why it would have been muted in the first place.

It works!
And you don't even have to install gnome-alsamixer - the console
alsamixer can unmute the second Speaker - just press M.

--
## Przemysław Kulczycki >><< Azrael Nightwalker ##
# jabber: azrael[na]jabster.pl | tlen: azrael29a #
### www: http://reksio.ftj.agh.edu.pl/~azrael/ ###

Antono Vasiljev (antono) wrote :

Confirm this bug and last solution privided by SB.

Linux ubook 2.6.31-18-generic #55-Ubuntu SMP Fri Jan 8 14:55:26 UTC 2010 i686 GNU/Linux
MacBook2,1 (version 1.0)

cat /proc/asound/card0/codec#* | grep Codec
Codec: SigmaTel STAC9221 A1

xedspace (xed-space) wrote :

2010/1/4 S B <email address hidden>:
> Okay, the following workaround works for me:
> install gnome-alsamixer
> uncheck the mute box on the second "speaker"
> I don't know why it would have been muted in the first place.

YES!! This worked for me, too. Thanks!!

jozefsevcik (jozefsevcik) wrote :

Macbook 2.1, Ubuntu 10.10 amd64-mac, gnome-alsamixer above fix worked for me, thanks.

Antono Vasiljev (antono) wrote :

This is still issue in Oneiric!

I want to nominate this as papercut to "100 papercuts" initiative.

mon, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command in the development release from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please do not test the kernel in the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. As well, please comment on which kernel version specifically you tested.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream', and comment as to why specifically you were unable to test it.

Please let us know your results. Thanks in advance.

tags: added: needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers